MyGUI: MyGUI::delegates::Delegate< Args > Class Template Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::Delegate< Args > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::Delegate< Args >:
[legend]

## Public Types
using | IDelegate = DelegateFunction<Args...>

## Public Member Functions
| Delegate ()
| Delegate (const Delegate &_event)
| ~Delegate ()
bool | empty () const
void | clear ()
Delegate & | operator= (IDelegate *_delegate)
Delegate & | operator= (const Delegate< Args... > &_event)
void | operator() (Args... args) const

## Detailed Description

template<typename ... Args>
class MyGUI::delegates::Delegate< Args >

Definition at line 135 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ IDelegate

template<typename ... Args>

using MyGUI::delegates::Delegate< Args >::IDelegate = DelegateFunction<Args...>

Definition at line 138 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ Delegate() [1/2]

template<typename ... Args>

MyGUI::delegates::Delegate< Args >::Delegate | ( |  | ) |
| inline

Definition at line 140 of file MyGUI_Delegate.h.

## ◆ Delegate() [2/2]

template<typename ... Args>

MyGUI::delegates::Delegate< Args >::Delegate | ( | const Delegate< Args > & | _event | ) |
| inline

Definition at line 141 of file MyGUI_Delegate.h.

## ◆ ~Delegate()

template<typename ... Args>

MyGUI::delegates::Delegate< Args >::~Delegate | ( |  | ) |
| inline

Definition at line 148 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ clear()

template<typename ... Args>

void MyGUI::delegates::Delegate< Args >::clear | ( |  | ) |
| inline

Definition at line 158 of file MyGUI_Delegate.h.

## ◆ empty()

template<typename ... Args>

bool MyGUI::delegates::Delegate< Args >::empty | ( |  | ) | const
| inline

Definition at line 153 of file MyGUI_Delegate.h.

## ◆ operator()()

template<typename ... Args>

void MyGUI::delegates::Delegate< Args >::operator() | ( | Args... | args | ) | const
| inline

Definition at line 188 of file MyGUI_Delegate.h.

## ◆ operator=() [1/2]

template<typename ... Args>

Delegate & MyGUI::delegates::Delegate< Args >::operator= | ( | const Delegate< Args... > & | _event | ) |
| inline

Definition at line 171 of file MyGUI_Delegate.h.

## ◆ operator=() [2/2]

template<typename ... Args>

Delegate & MyGUI::delegates::Delegate< Args >::operator= | ( | IDelegate< Args > * | _delegate | ) |
| inline

Definition at line 164 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h